<!--OSCam;2294749574;1.20-DEV-r117-EMU-r226;10078;-->
/* Table of Content
=====================================
	# 1. RESET
	# 2. BASIC DIVISION PAGES
	# 3. BASIC SETTINGS
	# 4. LINKS
	# 5. MAIN MENU
	# 6. SUBNAV
	# 7. TABLE
		- STATUS
		- CONFIG
	# 21. - READERS
		- USERS
		- SERVICES
		- FAILBAN
		- CACHEEX
		- OTHER TABLES
	# 8. TABLE TR
	# 9. TABLE TH
	# 10. TABLE TD
	# 11. DIV
	# 12. TEXTAREA,SELECT,INPUT
	# 13. IMAGE
	# 14. SPAN
	# 15. GRAPH
	# 16. SORTING IN TABLE
	# 17. POLLING
	# 18. ECM BAR HISTORY
	# 19. FILE MENU
	# 20. OTHER SETTINGS
===================================== */

/* **************** 1. RESET  */
* {margin:0;padding:0}

/* **************** 2. BASIC DIVISION PAGES */
html,body,* html #wrapper {height:100%}
#wrapper {position:relative;min-height:100%}
#content {margin-bottom:0;padding:0 8px 110px}
#footer {position:absolute;bottom:0;width:100%}

/* **************** 3. BASIC SETTINGS - BODY,P,H4,LI */
body {
	font-family:Arial;
	font-size:11px;
	font-weight:bold;
	text-align:center;
	background-color:#202020;
	background-image:url(image?i=IC_CARBON);
	color:yellow
}
/* pre_shutdown.html */
h4 {
	font-size:18px;
	line-height:9px;
	margin:20px 0;
	color:red
}
/* shutdown.html, autoconf.html */
p.text-large-red {
	font-weight:700;
	font-size:large;
	color:red
}
/* file.html, script.html */
#filename,#filesubmit {
	font-weight:700;
	font-size:14px
}
#filesubmit {
	height:20px
}
li {
	list-style:none
}
/* readerstats.html for P */
#text_totalecm {
	font-weight:700;
	margin-top:5px
}
/* footer.html */
li.hdsc:before {content:"Carbon V3 - WebIf Design by Hook"}
li.hdsc:after {content:"Modified for HDSC by HaPeBa - Version: 2.4"}

/* Solution for vertical align in tbody.statusecminfo */
.statusecminfo tr:nth-child(5) td:last-child{
	position:relative
}
.statusecminfo img{
	position:absolute;
	right:2px;
	top:2px
}

/* **************** 4. LINKS */
a {
	text-decoration:none;
}
a:link, a:visited {
	color:#FAFAFA
}
a:hover, a:active {
	color:#C00
}
/* Status-Page Users */
tr.c a:link, tr.c a:visited {
	color:yellow
}
tr.c a:hover, tr.c a:active {
	color:#D00
}
/* Status-Page AU ON and ACTIVE */
tr.c td.statuscol5 a:link, tr.c td.statuscol5 a:visited,
tr.c td.statuscol5 a:hover, tr.c td.statuscol5 a:active {
	color:#2F2
}
/* logpage_debugmenu.html */
a.debugl:link, a.debugl:visited,
a.debugl:active, a.debugs:link,
a.debugs:visited, a.debugs:active {
	margin:0 1px;
	color:yellow
}
a.debugl:hover, a.debugs:hover {
	color:#D00
}
/* module-webif.c  */
a.debugls:link {
	padding:1px 2px 2px
}
a.debugls:link, a.debugls:visited,
a.debugls:active {
	color:#D00
}
/* cccamentitletooltip.html, foundentitlements.html, noentitlements.html and module-webif.c */
a.tooltip,
a.tooltip1 {
	position:relative;
	outline:none;
	cursor:default
}
a.tooltip span,
a.tooltip1 span {
	margin:10px 0 0;
	display:none;
	z-index:99;
	white-space:nowrap
}
a.tooltip {
	color:#2F2
}
a.tooltip1 {
	color:#D00
}
a:hover span {
	display:block;
	position:absolute;
	top:1em;
	right:2em;
	padding:4px;
	font-weight:normal;
	text-align:left;
	background-color:#202020;
	border:2px solid yellow
}
a img.icon {
	background-color:#080
}
a:hover img.icon {
	background-color:#0D0
}
span a {
	text-align:center
}
td.statuscol4 a,
td.statuscol9 a,
td.statuscol13 a {
	text-align:center
}
td.statuscol16 a {
	cursor:pointer
}
td.statuscol16 a:hover {
	color:#D00
}
td.statuscol16 a.tooltip:hover span {
	color:#2F2
}
/* module-webif.c class for services.html */
div.sidlistclose a {
	padding:0 3px;
	color:#FFF
}
/* help link readers/servicesedit/useredit/config.html */
form table a {
	cursor:pointer
}

/* **************** 5. MAIN MENU */
#main {}
#mainmenu {
	height:38px;
	padding-top:10px;
	white-space:nowrap;
	display:inline-block;
	position:relative
}
#mainmenu li {
	display:inline;
	margin:0 1px;
	padding:5px 0 0;
	font-size:18px;
	font-weight:700
}
li.menu a, li.menu_selected a,
li.menu_script a, li.menu_selected_script a,
li.menu_shutdown a, li.menu_selected_shutdown a,
li.configmenu a, li.configmenu_selected a {
	color:#060;
	padding:3px 5px;
	border-radius:2px;
	background-color:#DDD;
	background-image:url(image?i=IC_METAL);
	border:2px outset white;
	list-style-position:inside
}
li.menu_selected a, li.menu_selected_script a, li.menu_selected_shutdown a, li.configmenu_selected a {
	border:2px inset white
}
li.menu a:hover, li.menu_selected a {
	color:#0A0
}
li.menu_script a:hover, li.menu_selected_script a:visited,
li.menu_shutdown a:hover, li.menu_selected_shutdown a:visited {
	color:red;
	text-decoration:none
}

/* **************** 6. SUBNAV */
#subnav {}
#nav {
	height:28px;
	white-space:nowrap
}
#nav li {
	display:inline-block;
	position:relative;
	margin:0 1px;
	padding:0;
	font-size:14px
}
#nav li a {
	padding:2px 4px;
	border-radius:2px;
	color:#600
}
#nav li.configmenu a:hover,
#nav li.configmenu_selected a:hover {
	color:#D00
}
#nav li.configmenu_selected a {
	color:#D00;
	border:2px inset white
}
/* **************** 7. TABLE */
table {
	padding:10px;
	empty-cells:show;
	border-radius:8px;
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	border:1px solid white;
	border-spacing:1px;
	margin:0 auto
}

/* ------- STATUS ------- */
/* status.html */
table.status {
	width:99%;
	empty-cells:show
}
/* Table statusmeminfo	- in status_systeminfo.html
 * Table statususerinfo	- in status_userinfo.html
 * Table statuscacheexinfo	- in status_cacheexinfo.html
 */
table.infotable {
	width:70%;
	white-space:nowrap
}

/* ------- CONFIG ------- */
/* for all part in CONFIGURATION item */
/* include readerconfig.html & user_edit.html */
table.config, table.configreader,table.configuser {
	width:80%;
 	margin-bottom:-1px;
	max-width:780px;
	white-space:nowrap
}

/* ------- READERS ------- */
/* readers.html */
table.readers {
	width:99%
}
#searchTable table.readers {
	padding:0;
	border:0;
	border-radius:0;
	border-spacing:1px 0px;
	margin-top:1px
}
/* entitlements_bit.html, entitlements_cccambit.html */
table.stats {}
/* emm.html */
table.writeemm {}
/* emm_running.html */
table.emmrunning {}
/* readerstats.html */
table.statsbalance td:last-child {
	line-height:20px;
	width:125px
}
table.statsbalance td:last-child img.icon {
	float:right;
	margin-left:10px
}

/* ------- USERS ------- */
/* userconfig.html */
table.users {
	width:99%
}
#newinsert table, #searchTable table.users, #searchTable table.cacheex {
	padding:0;
	border:0;
	border-radius:0;
	border-spacing:1px 0px;
	margin-top:1px
}

/* ------- SERVICES ------- */
/* services.html */
#addnewservice,#servicesedit,table.configservices {
	width:40%;
	max-width:510px;
	text-align:center
}
#addnewservice {
	padding:0;
	border:0;
	border-radius:0;
	border-spacing:1px 0px;
	margin-top:1px
}
/* services_edit.html */
table.configservices {
 	margin-bottom:-1px
}

/* ------- FAILBAN ------- */
/* failban.html */
table.failban {
	padding:0;
	border:0;
	border-radius:0
}

/* ------- CACHEEX ------- */
/* cacheex.html */
table.cacheex, table#dataTable.stats {
	width:80%
}
table#cachexstats {
	width:50%;
	max-width:1300px;
	white-space:nowrap;
	margin:20px auto 0
}

/* ------- OTHER TABLES ------- */
/* for settings in configuration of readers and users */
/* inline table in config, readerconfig.html & user_edit.html */
.invisible table {
	padding:0;
	border:0;
	border-radius:0;
	border-spacing:0;
	margin-left:0
}
/* user_edit.html, readerconfig.html */
td.subservice {}
table.subservicetable {
	width:100%
}

/* **************** 8. TABLE TR */
/* for entitlement of readers */
tr.e_valid td, tr.e_expired td, tr.e_header td {
	font-family:"Courier New", monospace;
	word-wrap:break-word;
	max-width:500px
}
/* hiding formatline for width of firstrow in config, readers and users / width in info */
tr.configfirstrow, tr.configfirstrow td,
tr.infocolswidth, tr.infocolswidth td, tr.infocolswidth th {
	border:0;
	height:0;
	padding:0
}
/* rowcolors for cacheex rows in cachex depend on status */
tr.e_valid td {color:#2F2}
tr.e_expired td {color:#D00}
/* rowcolors for users rows in unserconfig.html depend on status */
tr.online td.usercol6 {}
tr.online td {color:#2F2}
tr.offline td {color:#FAFAFA}
tr.expired td {color:#D00}
tr.connected td {color:yellow}
tr.disabled td,
tr.disabledreader td {color:#999}
/* red trash icons */
tr.disabled td:first-child img.icon,
tr.disabledreader td:first-child img.icon,
a.deletereader img.icon,
a.deleteuser img.icon,
#servicesedit td:last-child img.icon,
table.statsbalance td:last-child img.icon,
th.right a:last-child img.icon {
	background-color:#A00
}
tr.disabled td:first-child a:hover img.icon,
tr.disabledreader td:first-child a:hover img.icon,
a.deletereader:hover img.icon,
a.deleteuser:hover img.icon,
#servicesedit td:last-child a:hover img.icon,
table.statsbalance td:last-child a:hover img.icon,
th.right a:last-child:hover img.icon {
	background-color:#F00
}
/* colors for status rows in status.html depend on status */
tr.a td {}
tr.c td {color:yellow}
tr.n td, tr.l td,
tr.s td,tr.m td,tr.h td {color:#2F2}
tr.r td, tr.p td {color:#FAFAFA}
/* Status-Page AU OFF for r and p */
tr.r td.statuscol5, tr.p td.statuscol5 {color:yellow}
/* Status-Page AU OFF for s, h, m */
tr.s td.statuscol5, tr.h td.statuscol5, tr.m td.statuscol5 {color:transparent}
tr.scanusbsubhead td {
	border:1px solid white;
	padding:10px; color:pink;
	background-color:#383838;
	empty-cells:show;
	border-radius:8px;
	background-image:url(image?i=IC_STEEL)
}
/* **************** 9. TABLE TH */
th {
	background-color:#DDD;
	background-image:url(image?i=IC_METAL);
	color:#060;
	border:2px outset black;
	height:10px;
	padding:2px
}
th.right {
	text-align:right
}
/* status_cacheexinfo.html, status_systeminfo.html, status_userinfo.html */
th.nameinfo {
	text-transform:uppercase;
	text-align:center
}
.nameinfo_second {
text-transform:none
}
table.infotable th:first-child {
	width:100px
}
/* status.html */
th.statuscol0 {
	width:0
}
th.statuscolpoll{
	cursor:pointer
}
th.statuscolpoll:hover {
	color:#0A0
}
/* readerconfig.html */
th.withservices, th.notservices, th.lbservices {}

/* **************** 10. TABLE TD */
td {
	background-color:#202020;
	background-image:url(image?i=IC_CARBON);
	color:#FAFAFA;
	height:10px;
	text-align:left;
	padding:5px
}
/* width of firstrow in config, readers and users */
.configfirstrow td:first-child {
	width:140px
}
/* height config, readers and users */
.config td, .configreader td, .configuser td {
	height:22px
}
/* for inline table in config, user_edit.html, readerconfig.html */
td.subservice, td.invisible {
	padding:0px
}
/* services.html */
#servicesedit td {
	text-align:center
}
#servicesedit th:first-child {
    width:20%
}
/* readerstatsnotfound.html, readerstatstimeoutbit.html
 * status_*headline.html */
td.subheadline {
	background-color:#DDD;
	background-image:url(image?i=IC_METAL);
	color:#600;
	border:2px outset black;
	height:8px;
	padding:0px;
	font-size:11px;
	border-radius:2px;
	text-align:center
}
td.subheadline p {
	float:left;
	text-align:left;
	font-weight:bold;
	margin:1px 5px 0
}
/* default alignment for all rows status.html/userconfig.html/readers.html */
td.centered,
td[class*='statuscol'],		/* shorthand notation td[class*='statuscol'] for  td.statuscol0 -  td.statuscol16 */
td[class*='usercol'],		/* shorthand notation td[class*='usercol'] for  td.usercol0 -  td.usercol25 */
td[class*='readercol'] {	/* shorthand notation td[class*='readercol'] for  td.readercol0 -  td.readercol17 */
	text-align:center
}
td.statuscol0 {
	width:10px
}
td.statuscol1 {
	width:0
}
.usercol1 img{
	vertical-align:middle
}
/* readerconfig_sidokbit.html */
td.servicescol1, td.servicescol2, td.servicescol3 {
	width:30%
}
/* Actionbutton readers.html */
td.readercol13,td.readercol14,
td.readercol15 {
	min-width:22px
}
/* cols width info status and users.html */
.infocolswidth td {
	width:7.5%
}

/* **************** 11. DIV */
/* Log status.html, livelog.html, file.html */
div.log, div#livelog, textarea.editor, div.sidlist {
	width:99%;
	font-family:"Courier New", monospace;
	text-align:left;
	color:#FAFAFA;
	border:1px solid black;
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	border-radius:8px
}
div.log {
	margin:20px auto;
	padding:10px;
	width:97%;
	font-weight:normal;
	vertical-align:middle
}
/* module-webif.c class for services.html */
div.sidlist {
	padding:2px;
	background-color:#FFFDF5
}
div.sidlistclose {
	float:right;
	background-color:red;
	color:#FFF
}
/* message.html */
div.message {
	font-size:12px;
	font-weight:700;
	margin:5px 0
}
/* file.html */
div.filterform {
	margin:5px 0
}
/* pre_autoconf.html, pre_shutdown.html */
div.warning {
	margin:42px 0 14px
}
/* logobit.html - Logo for Oscam */
div.logo {
	position:absolute;
	top:6px;
	left:9px;
	z-index:0
}
/* READERS and USERS items */
div.groups {
	cursor:default;
	overflow:hidden;
	margin:0 auto;
	text-align:center;
	word-wrap:normal;
	position:relative;
	width:40px
}
/* footer.html */
div.footer {
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	border-top:1px solid black
}
div.footer a {
	font-weight:bold;
	color:yellow;
	margin:0px;
	font-size:12px
}
div.footer .top_link {
	padding-left:12px;
	position:absolute;
	font-weight:bold;
	bottom:5px;
	right:7px;
	z-index:0
}
div.footer .top_link a:before {
	content:"\25b2";
	font-weight:normal;
	position:absolute;
	left:1px
}
div.footer .top_link a {
	color:#080
}
div.footer .top_link a:hover {
	color:#0D0
}
div.footer li {
	margin:3px
}
/* status.html, main DIV for statistics info */
div.info {
	max-width:1300px;
	black-space:nowrap;
	margin:14px auto 0
}
/* debugmenu	- status_sdebug.html
 * logmenu		- file.html
*/
div.debugmenu, div.logmenu {
	font-size:12px;
	line-height:16px;
	margin-top:10px
}
#regexdatainput {
	margin-top:10px
}
/* entitlements_cccambit.html */
div.cccamentitlementtotals,
div.cccamentitlementcontrols {
	font-size:14px;
	font-weight:bold;
	margin-top:5px
}
/* definition only for show or hide columns or DIV
 * #newinsert		- in userconfig.html, readers.html
 * #exp, #cwc, #acasc - only in module-webif.c for show/hide columns in userconfig.html
 */
#newinsert,
.exp, .cwc, .acas, .grp, .hidden {
	display:none
}

/* **************** 12. TEXTAREA,SELECT,INPUT */
textarea {
	color:#FAFAFA;
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	border:1px solid green
}
textarea:focus {
	border:1px solid #D00
}
/* texteditor in file.html */
textarea.editor {
	font-size:11px;
	width:99%;
	max-width:1500px;
	height:556px;
	margin:0 auto 10px;
	padding:8px 10px
}
/* class for textarea */
textarea.bt {
	width:380px;
	font-size:12px
}
/* generaly settings for all select */
select {
	color:#FAFAFA;
	background-color:#383838;
	border:1px solid green
}
select:focus {
	color:#FAFAFA;
	background-color:#383838;
	border:1px solid #D00
}
select option {
	color:#FAFAFA;
	background-color:#383838
}
select#scriptselect{
	height:25px
}
/* generaly settings for all input */
input,textarea {
	-moz-box-sizing:border-box;
	box-sizing:border-box
}
/* generaly settings for all checkbox input */
input[type=checkbox] {
	cursor:pointer
}
/* generaly settings for all text input */
input[type=text] {
	color:#FAFAFA;
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	border:1px solid green;
	padding:2px;
	width:380px
}
input:focus {
	border:1px solid #D00
}
input.short[type=text] {
	width:52px
}
input.medium[type=text] {
	width:125px
}
input.longer[type=text] {
	width:232px
}
.readers input[type=text],
#addnewservice input[type=text],
.users input[type=text],
.cacheex input[type=text] {
	text-align:center;
	background-color:#F8F8F8;
	width:180px
}
/* all config input they are with units e.g. sec or min in config.html */
input.withunit{
	text-align:left
}
/* solution for align vertical checkbox with text */
input[type=checkbox] {
	vertical-align:text-bottom;
	_vertical-align:middle;
	margin-right:5px
}
/* generaly settings for all buttons/submits */
input[type=button], input[type=submit] {
	-webkit-appearance:none;
	background-color:#DDD;
	background-image:url(image?i=IC_METAL);
	border:1px outset black;
	color:#060;
	cursor:pointer;
	text-align:center;
	display:inline-block
}
input[type=submit], div#otherdropdown input[type=button] {
	font:12px Arial, Tahoma, Helvetica;
	border:3px outset black;
	font-weight:700;
	text-decoration:none;
	margin-top:0px;
	margin-bottom:0px;
	padding:2px 4px;
	margin-left:5px;
	border-radius:5px
}

/* generaly hover settings for all buttons/submits */
input[type=button]:hover, input[type=submit]:hover {
	color:#0A0
}
input[type=submit]:active, div#otherdropdown input[type=button]:active {
	color:#0A0;
	border:3px inset black
}
input[type=button]:active {
	color:#0A0;
	border:1px inset black
}
/* only for statusheadline button in status.html */
td.subheadline input[type=button] {
	float:right;
	margin-right:20px;
	width:90px;
	font-weight:normal;
	font-size:10px;
	padding:0
}
/* only for save button lb/cccam control in config.html */
.configcontrol input[type=submit] {
	width:115px
}
/* only for button in readers.html/userconfig.html/services.html for addnew */
.users input[type=submit], .readers input[type=submit], #addnewservice input[type=submit] {
	margin-left:10px
}
/* only for diasabled button in file.html*/
#filesubmit input[type=submit]:disabled {
	display:none
}
/* only save button in config.html/readerconfig.html/services.html */
td.configcolsave {
	text-align:left
}
#otherdropdown {
    margin-top:5px
}
/* settings for first option in select
 * otherdropdown	- in script.html, menu.html
 */
#otherdropdown option:first-child {
    display:none
}

div.extract {
	width:99%;
	max-width:1500px;
	margin:10px auto;
	text-align:left;
}
div.extract pre {
	color:#FAFAFA;
	background-color:#383838;
	background-image:url(image?i=IC_STEEL);
	min-height:100px;
	margin:10px 0;
	padding:8px 10px;
	font-family:"Courier New", monospace;
	font-size:11px;
	overflow:auto;
	border:1px solid black;
	border-radius:8px;
	black-space:pre
}

/* **************** 13. IMAGE */
/* generaly settings for images */
img {
	border:0 solid
}
/* for icons with following Action */
img.icon {
	border-radius:4px;
	width:22px;
	height:22px;
	max-height:22px
}
/* statususericon	- in STATUS item
 * protoicon		- in STATUS, READERS item
 * usericon			- in USERS item
 * readericon		- in READERS item
 */
img.statususericon, img.protoicon,
img.usericon, img.readericon {
	vertical-align:middle;
	min-height:15px;
	height:auto;
	max-height:30px;
	max-width:100px
}
/* logo IC_LOGO.tpl */
div.logo img {
	max-height:66px;
	border:2px solid black;
	border-radius:50px
}
div.logo a:hover img, div.logo svg.OSCam_logo:hover {
	border:2px solid red
}

div.logo svg.OSCam_logo {
	height:40px;
	fill:#FFF;
	background:#080;
	border-radius:4px;
	border:1px solid #080
}

td#out.centered img,
td#in.centered img {
	margin:0 10px -2px
}

/* **************** 14. SPAN */
/* module-webif.c and userconfig_notify.html */
span.span_notifier {
	border-radius:12px;
	font:bold 12px/9px Arial, Tahoma, Helvetica;
	height:12px;
	margin-left:-9px;
	margin-top:-3px;
	min-width:8px;
	padding:2px 3px 0;
	position:absolute;
	text-align:center;
	z-index:1099;
	background:red;
	border:2px solid #FFF;
	color:#FFF
}
/* module-webif.c value for STATUS item ( more info in Changeset 6668 by alno )
 * Class for formating values in statusview column "Idle"
 * In new WebIf column Idle is not used. Info about Idle is in title */
span.idlesec_normal {}
span.idlesec_alert {
	color:red
}
/* readerconfig_cccambit.html, user_edit_anticasc.html and user_edit_cccam.html */
span.global_conf {
	font-size:12px;
	cursor:default;
	padding:4px;
	color:blue
}
/* entitlements.html, readerconfig.html and user_edit.html */
span.text_entitle {
	display:inline-block;
	font-size:14px;
	font-weight:700
}
/* cachex status */
span.e_expired {
	background-color:#FFF3E7
}
.span, span {
	text-align:center
}

/* **************** 15. GRAPH */
svg.graph {background-color:#202020;font-family:Arial;font-size:9px}
rect.graph_bg {fill:#202020}
rect.graph_button {fill:#DDD}
text.graph_error {text-anchor:middle;fill:red}
text.graph_top_txt {text-anchor:end;fill:black}
#graph_grid_button_text {fill:#000}
text.graph_grid_txt {text-anchor:end;fill:black;font-size:12px}
path.graph_grid {stroke-opacity:0.5;stroke-width:0.7px;stroke:black}
path.graph_curve {stroke-opacity:0.8;stroke-width:0.7px;fill:none}

/* **************** 16. SORTING IN TABLE */
.users th {
	font-size:11px
}
.sortable {
	background-image:url(data:image/gif;base64,R0lGODlhBQAIAJEAAAAAAP///yMtMP///yH5BAEAAAMALAAAAAAFAAgAAAIL3GQnuJ2f2lLI1AIAOw==), url(image?i=IC_METAL);
	background-repeat:no-repeat, repeat;
	background-position:4px center, left top;
	cursor:pointer;
	padding-left:12px;
	padding-right:8px
}
.sorting-asc, .sorting-desc {
	background-color:#999
}
.sorting-desc {
	background-image:url(data:image/gif;base64,R0lGODlhBQADAJEAAAAAAP///yMtMP///yH5BAEAAAMALAAAAAAFAAMAAAIFlD03K1sAOw==), url(image?i=IC_METAL);
	background-repeat:no-repeat, repeat;
	background-position:4px center, left top;
	cursor:pointer;
	padding-left:10px;
	padding-right:8px
}
.sorting-asc {
	background-image:url(data:image/gif;base64,R0lGODlhBQADAJEAAAAAAP///yMtMP///yH5BAEAAAMALAAAAAAFAAMAAAIF3GQnuF0AOw==), url(image?i=IC_METAL);
	background-repeat:no-repeat, repeat;
	background-position:4px center, left top;
	cursor:pointer;
	padding-left:10px;
	padding-right:8px
}
.readers .td-sorting,
.users .td-sorting,
.statsbalance .td-sorting {background-image:url(image?i=IC_METAL)}

/* **************** 17. POLLING */
/*  for UL in logpoll.html */
#livelog {
	max-width:1500px;
	height:500px;
	resize:vertical;
	padding:10px 10px 0 10px;
	font-weight:normal;
	margin:5px auto 10px;
	overflow-y:scroll
}
#livelogdata {}
li.regex, li.regexdata_nav, li.regexdata_save{
	black-space:nowrap
}
input.regexinput {
	cursor:text;
	padding:2px;
	margin:3px 15px 1px 3px;
	width:400px
}
.regexdata_nav input {
	width:100px
}
.regexdata_save input {
	width:90px;
	margin-top:10px
}
.colorPicker_def_color {
	color:transparent
}
.colorPicker_def_fcolor {
	color:#008000
}
div.colorPicker-picker {
	display:inline;
	margin:3px;
	padding:4px 8px;
	border:1px solid #080;
	cursor:pointer;
	font-size:0.75em;
	text-align:center
}
div.colorPicker-palette {
	width:110px;
	position:absolute;
	border:2px outset black;
	background-color:#DDD;
	background-image:url(image?i=IC_METAL);
	padding:2px;
	z-index:9999
}
div.colorPicker_hexWrap {
	width:100%;
	float:left
}
div.colorPicker_hexWrap label {
	font-size:95%;
	color:#060;
	margin:5px 2px;
	width:25%
}
div.colorPicker_hexWrap input {
	margin:5px 2px;
	padding:0;
	font-size:95%;
	width:65%
}
div.colorPicker-swatch {
	height:12px;
	width:12px;
	border:1px solid #000;
	margin:2px;
	float:left;
	cursor:pointer;
	line-height:12px
}
/* User-Page polling */
#inc,#dec {
	padding:0 3px;
	margin:-3px 3px;
	border:none;
	background-color:#080;
	color:#FFF;
	cursor:pointer;
	border-radius:4px;
	font-size:14px;
	font-weight:700;
	width:22px;
	height:22px
}
#inc:hover,#dec:hover {
	background-color:red
}
#nav li.pollselect {
	display:inline;
	position:absolute;
	right:10px
}
input.pintervall {
	font-size:14px;
	font-weight:700;
	width:18px;
	height:18px;
	color:yellow;
	background-color:transparent;
	background-image:none;
	border:none;
	border-radius:4px;
	text-align:center;
	margin:0 5px;
	padding:0
}
/* polling heartbeat */
#picolor {
	background-color:#080
}

/* **************** 18. ECM BAR HISTORY */
#chart {
	position:absolute;
	width:150px;
	height:90px;
	border:2px solid yellow;
	background-color:#383838;
	padding:3px;
	z-index:1000
}
#charthead {
	background-color:#383838;
	color:yellow;
	width:100%;
	height:5px
}
#graph {
	width:98%;
	bottom:0;
	position:absolute
}
.disabledtable {
    opacity:0.5
}
/* Statuspage Functions: Generate a Bar for Barchart */
div.bar {
	width:5px;
	margin:2px;
	display:inline-block;
	position:relative;
	background-color:#2F2;
	vertical-align:baseline
}

/* **************** 19. FILE MENU */
/* For filemenu - change dropdown menu */
.drop .subcaret {
	margin-top:7px;
	margin-left:7px
}

.subcaret {
	display:inline-block;
	width:0;
	height:0;
	vertical-align:top;
	border-top:4px solid #606060;
	border-right:4px solid transparent;
	border-left:4px solid transparent;
	content:"";
	opacity:1
}
#nav ul.dropdown_nav li {
	list-style-type:none;
	display:block;
	margin:0;
	padding:0;
	width:100%;
	background-color:#202020;
	background-image:url(image?i=IC_CARBON)
}
#nav li ul.dropdown_nav li a {
	padding:3px;
	display:block;
	margin:5px 10px;
	color:#600;
	border:2px outset black
}
#nav li ul.dropdown_nav li a:hover {
	color:#D00
}
#nav li ul.dropdown_nav li.configmenu:hover {
	color:#D00
}
#nav li ul.dropdown_nav li.configmenu_selected a {
	color:#D00;
	border:2px inset black
}
#nav li ul.dropdown_nav li.configmenu_selected:hover {
	color:#D00
}
#nav li ul.dropdown_nav {
	display:none;
	position:absolute;
	top:20px;
	left:-8px;
	width:auto;
	background-color:#202020;
	border:1px solid #080
}
#nav li:hover ul.dropdown_nav {
	display:block
}

/* **************** 20. OTHER SETTINGS */
/* Statuspage colors: connected, needinit ...
Only with polling enabled!! */
tr td.statuscol16UNDEF {color:red}
tr td.statuscol16OFF {color:#FF6600}
tr td.statuscol16UNKNOWN {color:yellow}
tr td.statuscol16NEEDINIT {color:yellow}
tr td.statuscol16CARDOK {color:#2F2}
tr td.statuscol16CONNECTED {color:#2F2}
tr td.statuscol16ERROR {color:red}
tr td.statuscol16CCcam {color:#2F2} /* CCcam Cachex */
/* iPhone */
@media
only screen and (min-device-width : 320px) and (max-device-width : 480px),
only screen and (min-device-width : 320px) and (max-device-width : 568px) {
	div.footer {
		height:92px
	}
}
/* iPhone Landscape */
@media
only screen and (min-device-width : 320px) and (max-device-width : 480px) and (orientation : landscape),
only screen and (min-device-width : 320px) and (max-device-width : 568px) and (orientation : landscape) {
	#livelog {
		height:382px
	}
	textarea.editor {
		height:400px
	}
}
/* iPad Landscape */
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
	#livelog {
		height:494px
	}
	textarea.editor {
		height:508px
 	}
}

/* Firefox */
select:-moz-focusring {
	color:transparent;
	text-shadow:0 0 0 #FF6600
}
button::-moz-focus-inner,
input::-moz-focus-inner {
	border:0
}
/* Chrome */
*:focus {
	outline:none
}
.cache {color:#2F2}

/*img.oscamlogo {
	width:50px;
	height:50px
}*/
